FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux General Discussion

 
 
LinkBack Thread Tools
 
Old 03-09-2010, 07:18 AM
Manne Merak
 
Default encfs boost and openssl

I have problems with the latest update and EncFS.
Did check out the bug reports at Arch and EncFS and after downgrading
Boost to 1.41 I now do not get the config file reading error anymore.
Unfortunately trying to decode my data results in "Error decoding volume
key, password incorrect", my password is definitely correct.

I downgraded OpenSSL to 0.9.8k-3, still no luck.

Does anyone have the correct combination of EncFS, Boost, OpenSSL and
whatnotelse to get my data back?


Manne
 
Old 03-09-2010, 07:31 AM
Bram Schoenmakers
 
Default encfs boost and openssl

2010/3/9 Manne Merak <mannemerak@gmail.com>:

Hi Manne,

> I have problems with the latest update and EncFS.
> Did check out the bug reports at Arch and EncFS and after downgrading Boost
> to 1.41 I now do not get the config file reading error anymore.
> Unfortunately trying to decode my data results in "Error decoding volume
> key, password incorrect", my password is definitely correct.
> I downgraded OpenSSL to 0.9.8k-3, still no luck.
>
> Does anyone have the correct combination of EncFS, Boost, OpenSSL and
> whatnotelse to get my data back?

Using encfs-1.5-6, boost-1.41.0-2 and openssl-0.9.8m-2 and that works for me.

Kind regards,

--
Bram Schoenmakers

What is mind? No matter. What is matter? Never mind.
(Punch, 1855)
 
Old 03-09-2010, 08:00 AM
Manne Merak
 
Default encfs boost and openssl

On 03/09/2010 10:31 AM, Bram Schoenmakers wrote:

2010/3/9 Manne Merak<mannemerak@gmail.com>:

Hi Manne,



I have problems with the latest update and EncFS.
Did check out the bug reports at Arch and EncFS and after downgrading Boost
to 1.41 I now do not get the config file reading error anymore.
Unfortunately trying to decode my data results in "Error decoding volume
key, password incorrect", my password is definitely correct.
I downgraded OpenSSL to 0.9.8k-3, still no luck.

Does anyone have the correct combination of EncFS, Boost, OpenSSL and
whatnotelse to get my data back?


Using encfs-1.5-6, boost-1.41.0-2 and openssl-0.9.8m-2 and that works for me.

Kind regards,




Even on your old volumes?
I can create new ones fine with that combination, but have trouble with
mounting old ones.
Would you mind sending me the header of your .encfs6.xml file, I would
like to see what the version must be.

Thanks

Manne
 
Old 03-09-2010, 08:04 AM
Bram Schoenmakers
 
Default encfs boost and openssl

2010/3/9 Manne Merak <mannemerak@gmail.com>:

Hi Manne,

>> Using encfs-1.5-6, boost-1.41.0-2 and openssl-0.9.8m-2 and that works for
>> me.
>
> Even on your old volumes?
> I can create new ones fine with that combination, but have trouble with
> mounting old ones.
> Would you mind sending me the header of your .encfs6.xml file, *I would like
> to see what the version must be.

Yes, this volume was created a year ago or so, and broke last week
after boost + encfs upgrade. Downgrading to the versions I mentioned
before made things work again. This is the header of my .encfs file:

<boost_serialization signature="serialization::archive" version="5">
<config class_id="0" tracking_level="1" version="20080816" object_id="_0">
<creator>EncFS 1.5</creator>

Kind regards,

--
Bram Schoenmakers

What is mind? No matter. What is matter? Never mind.
(Punch, 1855)
 
Old 03-09-2010, 08:20 AM
Manne Merak
 
Default encfs boost and openssl

On 03/09/2010 11:04 AM, Bram Schoenmakers wrote:

2010/3/9 Manne Merak<mannemerak@gmail.com>:

Hi Manne,



Using encfs-1.5-6, boost-1.41.0-2 and openssl-0.9.8m-2 and that works for
me.


Even on your old volumes?
I can create new ones fine with that combination, but have trouble with
mounting old ones.
Would you mind sending me the header of your .encfs6.xml file, I would like
to see what the version must be.


Yes, this volume was created a year ago or so, and broke last week
after boost + encfs upgrade. Downgrading to the versions I mentioned
before made things work again. This is the header of my .encfs file:

<boost_serialization signature="serialization::archive" version="5">
<config class_id="0" tracking_level="1" version="20080816" object_id="_0">
<creator>EncFS 1.5</creator>

Kind regards,



Nope, must be doing some else wrong.
Cannot get it to mount, still getting "Error decoding volume key,
password incorrect".

I will try some other version openssl

Manne
 
Old 03-09-2010, 03:39 PM
David Rosenstrauch
 
Default encfs boost and openssl

On 03/09/2010 04:00 AM, Manne Merak wrote:

On 03/09/2010 10:31 AM, Bram Schoenmakers wrote:

2010/3/9 Manne Merak<mannemerak@gmail.com>:

Hi Manne,


I have problems with the latest update and EncFS.
Did check out the bug reports at Arch and EncFS and after downgrading
Boost
to 1.41 I now do not get the config file reading error anymore.
Unfortunately trying to decode my data results in "Error decoding volume
key, password incorrect", my password is definitely correct.
I downgraded OpenSSL to 0.9.8k-3, still no luck.

Does anyone have the correct combination of EncFS, Boost, OpenSSL and
whatnotelse to get my data back?

Using encfs-1.5-6, boost-1.41.0-2 and openssl-0.9.8m-2 and that works
for me.

Kind regards,



Even on your old volumes?
I can create new ones fine with that combination, but have trouble with
mounting old ones.
Would you mind sending me the header of your .encfs6.xml file, I would
like to see what the version must be.
Thanks

Manne


I'm having problems with old volumes too:

[darose@daroselin .pr]$ encfssh .d4 d4
11:37:44 (FileUtils.cpp:375) Archive exception: stream error
11:37:44 (FileUtils.cpp:326) Found config file
/home/darose/.pr/.d4/.encfs6.xml, but failed to load

Creating new encrypted volume.
Please choose from one of the following options:
enter "x" for expert configuration mode,
enter "p" for pre-configured paranoia mode,
anything else, or an empty line will select standard mode.
?> ^C

DR
 
Old 03-09-2010, 03:44 PM
Ionut Biru
 
Default encfs boost and openssl

On 03/09/2010 06:39 PM, David Rosenstrauch wrote:

On 03/09/2010 04:00 AM, Manne Merak wrote:

On 03/09/2010 10:31 AM, Bram Schoenmakers wrote:

2010/3/9 Manne Merak<mannemerak@gmail.com>:

Hi Manne,


I have problems with the latest update and EncFS.
Did check out the bug reports at Arch and EncFS and after downgrading
Boost
to 1.41 I now do not get the config file reading error anymore.
Unfortunately trying to decode my data results in "Error decoding
volume
key, password incorrect", my password is definitely correct.
I downgraded OpenSSL to 0.9.8k-3, still no luck.

Does anyone have the correct combination of EncFS, Boost, OpenSSL and
whatnotelse to get my data back?

Using encfs-1.5-6, boost-1.41.0-2 and openssl-0.9.8m-2 and that works
for me.

Kind regards,



Even on your old volumes?
I can create new ones fine with that combination, but have trouble with
mounting old ones.
Would you mind sending me the header of your .encfs6.xml file, I would
like to see what the version must be.
Thanks

Manne


I'm having problems with old volumes too:

[darose@daroselin .pr]$ encfssh .d4 d4
11:37:44 (FileUtils.cpp:375) Archive exception: stream error
11:37:44 (FileUtils.cpp:326) Found config file
/home/darose/.pr/.d4/.encfs6.xml, but failed to load
Creating new encrypted volume.
Please choose from one of the following options:
enter "x" for expert configuration mode,
enter "p" for pre-configured paranoia mode,
anything else, or an empty line will select standard mode.
?> ^C

DR


is a long thread on our forum about that:
http://bbs.archlinux.org/viewtopic.php?id=92209


--
Ionut
 
Old 03-09-2010, 05:23 PM
Manne Merak
 
Default encfs boost and openssl

On 03/09/2010 06:44 PM, Ionut Biru wrote:

On 03/09/2010 06:39 PM, David Rosenstrauch wrote:

On 03/09/2010 04:00 AM, Manne Merak wrote:

On 03/09/2010 10:31 AM, Bram Schoenmakers wrote:

2010/3/9 Manne Merak<mannemerak@gmail.com>:

Hi Manne,


I have problems with the latest update and EncFS.
Did check out the bug reports at Arch and EncFS and after downgrading
Boost
to 1.41 I now do not get the config file reading error anymore.
Unfortunately trying to decode my data results in "Error decoding
volume
key, password incorrect", my password is definitely correct.
I downgraded OpenSSL to 0.9.8k-3, still no luck.

Does anyone have the correct combination of EncFS, Boost, OpenSSL and
whatnotelse to get my data back?

Using encfs-1.5-6, boost-1.41.0-2 and openssl-0.9.8m-2 and that works
for me.

Kind regards,



Even on your old volumes?
I can create new ones fine with that combination, but have trouble with
mounting old ones.
Would you mind sending me the header of your .encfs6.xml file, I would
like to see what the version must be.
Thanks

Manne


I'm having problems with old volumes too:

[darose@daroselin .pr]$ encfssh .d4 d4
11:37:44 (FileUtils.cpp:375) Archive exception: stream error
11:37:44 (FileUtils.cpp:326) Found config file
/home/darose/.pr/.d4/.encfs6.xml, but failed to load
Creating new encrypted volume.
Please choose from one of the following options:
enter "x" for expert configuration mode,
enter "p" for pre-configured paranoia mode,
anything else, or an empty line will select standard mode.
?> ^C

DR


is a long thread on our forum about that:
http://bbs.archlinux.org/viewtopic.php?id=92209




Yes, the thread suggests a patch that is a workaround for some
incompatibility with latest Boost.
This only fixes the creation of new volumes and not the mounting of old
ones.


Manne
 

Thread Tools




All times are GMT. The time now is 07:13 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org